Bug 1459996 - [RFE] Add support for virt v2v
Summary: [RFE] Add support for virt v2v
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
medium
Target Milestone: GA
: 5.8.2
Assignee: Martin Betak
QA Contact: Ilanit Stein
URL:
Whiteboard: rhev
Depends On: 1404920
Blocks: 1492267
TreeView+ depends on / blocked
 
Reported: 2017-06-08 19:05 UTC by Satoe Imaishi
Modified: 2019-04-28 13:27 UTC (History)
12 users (show)

Fixed In Version: 5.8.1.0
Doc Type: Enhancement
Doc Text:
Clone Of: 1404920
Environment:
Last Closed: 2017-10-24 00:16:35 UTC
Category: ---
Cloudforms Team: RHEVM
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:3005 normal SHIPPED_LIVE Important: Red Hat CloudForms security, bug fix, and enhancement update 2017-10-24 04:15:49 UTC

Comment 2 CFME Bot 2017-06-08 19:11:08 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/9cf503b1ada06d1e528667a321fd6dabdb18f42f

commit 9cf503b1ada06d1e528667a321fd6dabdb18f42f
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Thu May 18 12:58:52 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 15:08:07 2017 -0400

    Merge pull request #21 from matobet/v2v-queue
    
    Add support for v2v async task
    (cherry picked from commit dfb1d9246c2f42c8e5bbbbd960b4c728e49d92fe)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../providers/redhat/infra_manager/vm_import.rb    |  32 ++-
 content/service_dialogs/transform-vm.yml           | 217 +++++++++++++++++++++
 .../redhat/infra_manager/vm_import_spec.rb         |  17 +-
 3 files changed, 262 insertions(+), 4 deletions(-)
 create mode 100644 content/service_dialogs/transform-vm.yml

Comment 3 CFME Bot 2017-06-08 19:13:36 UTC
New commit detected on ManageIQ/manageiq-ui-classic/fine:
https://github.com/ManageIQ/manageiq-ui-classic/commit/493e180bfc39a8bccbe47f336b26a40c990bd1fb

commit 493e180bfc39a8bccbe47f336b26a40c990bd1fb
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu May 18 13:41:39 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 15:12:49 2017 -0400

    Merge pull request #383 from matobet/v2v-button
    
    Add Transform VM (v2v) Button
    (cherry picked from commit f46db2aa31822ce3bfe6305607efe2c92e4863d9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 app/controllers/application_controller/explorer.rb         |  2 +-
 app/controllers/vm_infra_controller.rb                     | 12 ++++++++++++
 .../application_helper/button/transform_vm_button.rb       | 12 ++++++++++++
 app/helpers/application_helper/toolbar/x_vm_center.rb      |  7 +++++++
 app/services/dialog_import_service.rb                      | 14 +++++++++++++-
 5 files changed, 45 insertions(+), 2 deletions(-)
 create mode 100644 app/helpers/application_helper/button/transform_vm_button.rb

Comment 4 CFME Bot 2017-06-08 21:26:22 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/e74f58e7690935110b378f9d9cd6afd7aab91bb3

commit e74f58e7690935110b378f9d9cd6afd7aab91bb3
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu May 18 10:24:00 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu Jun 8 17:22:58 2017 -0400

    Merge pull request #4 from matobet/v2v-rhv-expose
    
    Expose RHV import methods to automate
    (cherry picked from commit 652ebbc6526f073a2e760977ec52a2b1f366c513)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../miq_ae_service_manageiq-providers-redhat-infra_manager.rb           | 2 ++
 1 file changed, 2 insertions(+)

Comment 5 CFME Bot 2017-06-09 16:08:46 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/868138f7b46eb73d639d8c8bed337cea78da34c7

commit 868138f7b46eb73d639d8c8bed337cea78da34c7
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 24 08:28:35 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 12:01:59 2017 -0400

    Merge pull request #36 from matobet/v2v-automate
    
    Add automate methods for VM import between providers
    (cherry picked from commit bd5bb97383ea203cc2bde9d740a09624a08e01f2)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../VM/Transform/Import.class/__class__.yaml       |  53 +++++
 .../__methods__/create_vm_import_request.rb        |  57 +++++
 .../__methods__/create_vm_import_request.yaml      |  12 ++
 .../Import.class/__methods__/list_clusters.rb      |  45 ++++
 .../Import.class/__methods__/list_clusters.yaml    |  12 ++
 .../__methods__/list_infra_providers.rb            |  38 ++++
 .../__methods__/list_infra_providers.yaml          |  12 ++
 .../Import.class/__methods__/list_storages.rb      |  46 ++++
 .../Import.class/__methods__/list_storages.yaml    |  12 ++
 .../VM/Transform/Import.class/import_vm.yaml       |  10 +
 .../VM/Transform/Import.class/list_clusters.yaml   |  12 ++
 .../Import.class/list_infra_providers.yaml         |  12 ++
 .../VM/Transform/Import.class/list_storages.yaml   |  12 ++
 .../StateMachines/VmImport.class/__class__.yaml    | 234 +++++++++++++++++++++
 .../VmImport.class/__methods__/submit_vm_import.rb |  51 +++++
 .../__methods__/submit_vm_import.yaml              |  12 ++
 .../__methods__/update_vm_import_status.rb         |  32 +++
 .../__methods__/update_vm_import_status.yaml       |  32 +++
 .../__methods__/wait_for_vm_import.rb              |  52 +++++
 .../__methods__/wait_for_vm_import.yaml            |  12 ++
 .../StateMachines/VmImport.class/default.yaml      |  10 +
 .../VM/Transform/StateMachines/__namespace__.yaml  |  10 +
 .../Infrastructure/VM/Transform/__namespace__.yaml |  10 +
 .../__methods__/update_vm_import_status.rb         |  55 +++++
 .../__methods__/update_vm_import_status.yaml       |  12 ++
 .../RHEVM.class/importexport_import_vm.yaml        |   2 +
 .../RHEVM.class/importexport_import_vm_failed.yaml |  12 ++
 .../ManageIQ/System/Request.class/import_vm.yaml   |  12 ++
 .../__methods__/create_vm_import_request_spec.rb   |  45 ++++
 .../Import.class/__methods__/list_clusters_spec.rb |  32 +++
 .../__methods__/list_infra_providers_spec.rb       |  36 ++++
 .../Import.class/__methods__/list_storages_spec.rb |  32 +++
 .../__methods__/submit_vm_import_spec.rb           |  44 ++++
 .../__methods__/wait_for_vm_import_spec.rb         |  41 ++++
 .../__methods__/update_vm_import_status_spec.rb    |  53 +++++
 35 files changed, 1164 insertions(+)
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__class__.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/create_vm_import_request.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/create_vm_import_request.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_clusters.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_clusters.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_infra_providers.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_infra_providers.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_storages.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_storages.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/import_vm.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/list_clusters.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/list_infra_providers.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/list_storages.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__class__.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/submit_vm_import.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/submit_vm_import.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/update_vm_import_status.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/update_vm_import_status.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/wait_for_vm_import.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/wait_for_vm_import.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/default.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/__namespace__.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/__namespace__.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/RHEVM.class/__methods__/update_vm_import_status.rb
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/RHEVM.class/__methods__/update_vm_import_status.yaml
 create mode 100644 content/automate/ManageIQ/System/Event/EmsEvent/RHEVM.class/importexport_import_vm_failed.yaml
 create mode 100644 content/automate/ManageIQ/System/Request.class/import_vm.yaml
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/create_vm_import_request_spec.rb
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_clusters_spec.rb
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_infra_providers_spec.rb
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_storages_spec.rb
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/submit_vm_import_spec.rb
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/wait_for_vm_import_spec.rb
 create mode 100644 spec/content/automate/ManageIQ/System/Event/EmsEvent/RHEVM.class/__methods__/update_vm_import_status_spec.rb

Comment 6 CFME Bot 2017-06-09 16:11:06 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/c00a090dafaf1e8c27b86f4dd7e878a5f4112af9

commit c00a090dafaf1e8c27b86f4dd7e878a5f4112af9
Author:     Martin Povolny <mpovolny@redhat.com>
AuthorDate: Thu May 25 12:47:16 2017 +0200
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 11:58:58 2017 -0400

    Merge pull request #15214 from matobet/master
    
    Add vm_transform product feature
    (cherry picked from commit b636c8cb1baf5d5f266b0be03e2ba10c2f0673f0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 db/fixtures/miq_product_features.yml | 4 ++++
 1 file changed, 4 insertions(+)

Comment 7 CFME Bot 2017-06-09 22:06:15 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/ca7e3e1f5c392cbf91ac56dfa9e557cbe7bd7c08

commit ca7e3e1f5c392cbf91ac56dfa9e557cbe7bd7c08
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Wed May 31 11:32:58 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri Jun 9 18:04:11 2017 -0400

    Merge pull request #31 from matobet/v2v-iso-expose
    
    Expose iso_datastore & iso_images
    (cherry picked from commit 2c4b6e9a4813ba142d528b403acdbd1f7916d193)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../service_models/miq_ae_service_ext_management_system.rb          | 1 +
 .../service_models/miq_ae_service_iso_datastore.rb                  | 6 ++++++
 2 files changed, 7 insertions(+)
 create mode 100644 lib/miq_automation_engine/service_models/miq_ae_service_iso_datastore.rb

Comment 8 CFME Bot 2017-06-12 15:56:16 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/0e5db01fff5165fb3abc6dc66117a39514707e40

commit 0e5db01fff5165fb3abc6dc66117a39514707e40
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Mon Jun 5 18:00:29 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 11:55:31 2017 -0400

    Merge pull request #44 from matobet/v2v-drivers
    
    Add `install drivers` option to V2V
    (cherry picked from commit 7018c0cd746245943e106e8c55b24f35c33221f9)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../providers/redhat/infra_manager/vm_import.rb    |  5 +-
 content/service_dialogs/transform-vm.yml           | 76 +++++++++++++++++++++
 .../redhat/infra_manager/vm_import_spec.rb         | 79 ++++++++++++++++------
 3 files changed, 137 insertions(+), 23 deletions(-)

Comment 9 CFME Bot 2017-06-12 15:58:45 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/670428321e60f7c40ba9b643a615187a7fce2474

commit 670428321e60f7c40ba9b643a615187a7fce2474
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Jun 5 08:54:07 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Mon Jun 12 11:53:19 2017 -0400

    Merge pull request #121 from matobet/v2v-driver-automate
    
    v2v: Add support for driver ISOs
    (cherry picked from commit ec6ee1fc5a81635aa41556e4d13b2f9e54cd2ff1)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../__methods__/create_vm_import_request.rb        |   1 +
 .../Import.class/__methods__/list_driver_isos.rb   |  45 +++++++++
 .../Import.class/__methods__/list_driver_isos.yaml |  12 +++
 .../Transform/Import.class/list_driver_isos.yaml   |  12 +++
 .../VmImport.class/__methods__/submit_vm_import.rb |   9 +-
 .../__methods__/create_vm_import_request_spec.rb   | 107 +++++++++++++++------
 .../__methods__/list_driver_isos_spec.rb           |  52 ++++++++++
 7 files changed, 202 insertions(+), 36 deletions(-)
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_driver_isos.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_driver_isos.yaml
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/list_driver_isos.yaml
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/Import.class/__methods__/list_driver_isos_spec.rb

Comment 10 CFME Bot 2017-06-13 17:16:34 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/89a54856f076351a196bca6fb3b2a1b916bf890b

commit 89a54856f076351a196bca6fb3b2a1b916bf890b
Author:     Oved Ourfali <oourfali@redhat.com>
AuthorDate: Tue Jun 13 11:31:40 2017 +0300
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Tue Jun 13 13:14:17 2017 -0400

    Merge pull request #47 from matobet/v2v-networks
    
    v2v: Add support for post-import network configuration
    (cherry picked from commit 43d34e4399d05c4218d8c48ee672ccbfe4e2d71a)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../providers/redhat/infra_manager/vm_import.rb    | 48 +++++++++++++++++++---
 1 file changed, 42 insertions(+), 6 deletions(-)

Comment 11 CFME Bot 2017-06-14 13:46:18 UTC
New commit detected on ManageIQ/manageiq/fine:
https://github.com/ManageIQ/manageiq/commit/7de2fed1fcbeadcf4c31852f89ff6e9ce88882a7

commit 7de2fed1fcbeadcf4c31852f89ff6e9ce88882a7
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jun 13 14:56:31 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 09:41:05 2017 -0400

    Merge pull request #35 from matobet/v2v-network-expose
    
    v2v: Expose network configuration method
    (cherry picked from commit e789d0c299b67192074602c75dec758a1f457f67)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../miq_ae_service_manageiq-providers-redhat-infra_manager.rb            | 1 +
 1 file changed, 1 insertion(+)

Comment 12 CFME Bot 2017-06-14 13:49:14 UTC
New commit detected on ManageIQ/manageiq-content/fine:
https://github.com/ManageIQ/manageiq-content/commit/3863ee5d9bcbee8e13cfb49e8262cde2fd304509

commit 3863ee5d9bcbee8e13cfb49e8262cde2fd304509
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Tue Jun 13 14:59:47 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Wed Jun 14 09:43:03 2017 -0400

    Merge pull request #123 from matobet/v2v-network-automate
    
    v2v: Add automate methods for post-import network configuration
    (cherry picked from commit 4167dfa8da3c38ec58db1eb1f2df05603da844a0)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1459996

 .../StateMachines/VmImport.class/__class__.yaml    | 31 +++++++++++++---
 .../__methods__/configure_vm_networks.rb           | 43 ++++++++++++++++++++++
 .../__methods__/configure_vm_networks.yaml         | 12 ++++++
 .../__methods__/wait_for_vm_import.rb              |  1 +
 .../__methods__/configure_vm_networks_spec.rb      | 29 +++++++++++++++
 .../__methods__/wait_for_vm_import_spec.rb         |  1 +
 6 files changed, 112 insertions(+), 5 deletions(-)
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/configure_vm_networks.rb
 create mode 100644 content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/configure_vm_networks.yaml
 create mode 100644 spec/content/automate/ManageIQ/Infrastructure/VM/Transform/StateMachines/VmImport.class/__methods__/configure_vm_networks_spec.rb

Comment 13 Oved Ourfali 2017-06-21 06:31:37 UTC
Martin - can you make sure all patches are backported, and if so move to POST?

Comment 14 Ilanit Stein 2017-07-05 08:06:33 UTC
Tested on CFME-5.8.1 / RHV-4.1.3. found those issues.
* Bug 1467341 - 
"v2v: Transform VM to RHV from VMWare do not open the required dialog" 

* Bug 1467488 -
"Broken "vm_transform" toolbar icon"



Tested on CFME-5.8.1 with a fix to Bug 1467341/ RHV-4.1.3 :
* Bug 1467795 - 
"v2v operation fail on Invalid ISO image path"

Comment 15 Ilanit Stein 2017-07-05 15:09:13 UTC
On CFME-5.8.1 + a fix to Bug 1467341 / RHV-4.1.3 + added ISO domain that contain virtio-win driver, 
as a workaround for Bug 1467795, those additional bugs were found:

Bug 1467846 - [v2v] Import of VM from VMWare to RHV is not done as Clone
Bug 1467856 - [v2v] Drivers list contain only <Script error>
Bug 1467858 - [v2v] Drivers ISO field in the v2v dialog seem wrong 
Bug 1467866 - [v2v] automation request status is not updated at all
Bug 1467868 - [v2v] Move the 'Transform this VM to RHV' option from 'Configuration' to 'Lifecycle'
Bug 1467872 - [v2v] 'Drivers ISO' field is not removed when 'install drivers' is unchecked.

Comment 18 Ilanit Stein 2017-08-28 10:33:29 UTC
Verified on CFME-5.8.2.0.20170824192913_b09a5f8/RHV-4.1.6-0.1.el7

Comment 20 errata-xmlrpc 2017-10-24 00:16:35 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:3005


Note You need to log in before you can comment on or make changes to this bug.